Тема: количество вершин в полилинии. как узнать?

подскажите пожалуйста метод определения количества вершин в полилинии.

Re: количество вершин в полилинии. как узнать?

Public Sub pcount()
On Error Resume Next
Dim oobj As Object
Dim vp As Variant
Dim lcount As Long
Call ThisDrawing.Utility.GetEntity(oobj, vp, "Select polyline")
If Err.Number <> 0 Then
   Err.Clear
   Exit Sub
End If
If TypeOf oobj Is AcadLWPolyline Then
  lcount = (UBound(oobj.Coordinates) + 1) / 2
End If
If TypeOf oobj Is Acad3DPolyline Then
  lcount = (UBound(oobj.Coordinates) + 1) / 3
End If
If TypeOf oobj Is AcadPolyline Then
  lcount = (UBound(oobj.Coordinates) + 1) / 3
End If
If Err.Number <> 0 Then
   Err.Clear
End If
Call MsgBox("The vertex number is " & CStr(lcount), vbOKOnly, "Polyline point counter")
End Sub

Re: количество вершин в полилинии. как узнать?

А, вот оно!
UBound(oobj.Coordinates)
спасибо!